=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	$(overridden_command) -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true

override_dh_strip:
	$(overridden_command) --ddeb-migration='gwenview-dbg (<= 4:15.12.1-1~~)'
