=== debian/changelog ===
gwenview (4:16.08.3-3) unstable; urgency=medium

  * Team upload.
  * Fix wrong package name: kdeinit is provided by kinit (Closes: #860992).
    Thanks Michael Musenbrock for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Apr 2017 10:24:25 -0300

gwenview (4:16.08.3-2) unstable; urgency=medium

  * Team upload.
  * Add kdeinit as a dependency (Closes: #860423 ).
    Thanks Christoph Egger for the bug and the triagging!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Apr 2017 22:21:47 -0300

gwenview (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:18 +0100

gwenview (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:35:38 +0200

gwenview (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the libkf5kdcraw-dev and libkf5kipi-dev, to enable RAW metadata and
    KIPI plugins. (Closes: #827183)
  * Restrict baloo-kf5-dev on Linux, so gwenview can be built on Hurd too.
  * Replace the libphonon4qt5experimental4 build dependency with
    libphononexperimental-dev, so we do not depend on the SONAME of
    libphononexperimental.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove gwenview.install, no more used now
  * Remove unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2016 08:59:51 +0200

gwenview (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:06:30 +0200

gwenview (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Hacky use of xephyr
  * kdeinit should be in the same dbus connection
  * script exec permission
  * Tests also need org.kde.kuiserver.service
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Acknowledge NMU 4:15.08.3-1.1.
    Thanks to Tobias Frost for the nmu
  * Update testsuite script

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:30:29 +0200

gwenview (4:15.08.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark B-D on baloo-kf5-dev as not available on kfreebsd-any.

 -- Tobias Frost <tobi@debian.org>  Tue, 26 Apr 2016 17:52:06 +0200
