## gwenview 17.04.3

=== debian/changelog ===
gwenview (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Buidl depend on optional libphonon4qt5experimental-dev

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:04 +0100

gwenview (4:16.12.1-0ubuntu2) UNRELEASED; urgency=medium

  * Fix install file

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 10 Feb 2017 23:59:52 +0000
