=== debian/control ===
--- 
+++ 
@@ -11,12 +11,13 @@
                libexiv2-dev,
                libjpeg-dev,
                libkf5activities-dev (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 16.12.3~),
+               libkf5kdcraw-dev (>= 17.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 16.12.3~),
+               libkf5kipi-dev (>= 17.04.3~),
                liblcms2-dev,
                libphonon4qt5-dev (>= 4.6.60),
+               libphonon4qt5experimental-dev,
                libphonon4qt5experimental4,
                libpng-dev,
                libqt5opengl5-dev (>= 5.6.1~),
@@ -36,6 +37,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kamera, kio-extras, qt5-image-formats-plugins
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of
  images.  It is capable of showing images in a full-screen slideshow view and
