## gwenview 17.12.3

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 project(gwenviewlib)
+
+add_definitions(-DTRANSLATION_DOMAIN="gwenview")
 
 set(LIBGWENVIEW_VERSION "4.97.0")
 
@@ -21,6 +23,7 @@
 
 try_run(JPEGLIB_RUN_RESULT JPEGLIB_COMPILE_RESULT
     ${CMAKE_CURRENT_BINARY_DIR} ${JPEGLIB_VERSION_CHECK_PATH}
+    CMAKE_FLAGS -DINCLUDE_DIRECTORIES:PATH=${JPEG_INCLUDE_DIR}
     RUN_OUTPUT_VARIABLE jpeglib_version)
 
 if ((${JPEGLIB_COMPILE_RESULT} EQUAL FALSE) OR ("${JPEGLIB_RUN_RESULT}" EQUAL FAILED_TO_RUN) OR "${jpeglib_version}" STREQUAL "")
@@ -54,6 +57,12 @@
     ${JPEG_INCLUDE_DIR}
     ${PNG_INCLUDE_DIRS}
     )
+
+if(HAVE_FITS)
+    include_directories(
+        ${CFITSIO_INCLUDE_DIR}
+        )
+endif()
 
 # For config-gwenview.h
 include_directories(
@@ -166,6 +175,16 @@
     ${GV_JPEG_DIR}/transupp.c
     )
 
+if(HAVE_FITS)
+    set(gwenviewlib_SRCS
+        ${gwenviewlib_SRCS}
+        imageformats/fitsplugin.cpp
+        imageformats/fitshandler.cpp
+        imageformats/fitsformat/bayer.c
+        imageformats/fitsformat/fitsdata.cpp
+        )
+endif()
+
 if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
     set(gwenviewlib_SRCS
         ${gwenviewlib_SRCS}
@@ -191,12 +210,10 @@
         )
 endif()
 
-set_source_files_properties(
+kde_source_files_enable_exceptions(
     exiv2imageloader.cpp
     imagemetainfomodel.cpp
     timeutils.cpp
-    PROPERTIES
-    COMPILE_FLAGS "${KDE4_ENABLE_EXCEPTIONS}"
     )
 
 ki18n_wrap_ui(gwenviewlib_SRCS
@@ -219,16 +236,27 @@
 endif()
 
 target_link_libraries(gwenviewlib
-   KF5::KDELibs4Support
    Qt5::Concurrent
    Qt5::Svg
    Qt5::OpenGL
+   Qt5::PrintSupport
+   KF5::KIOCore
+   KF5::KIOWidgets
+   KF5::KIOFileWidgets
+   KF5::I18n
+   KF5::WindowSystem
+   KF5::IconThemes
     ${JPEG_LIBRARY}
     ${EXIV2_LIBRARIES}
     ${PNG_LIBRARIES}
     ${LCMS2_LIBRARIES}
     ${PHONON_LIBRARY}
     )
+
+if(HAVE_FITS)
+    target_link_libraries(gwenviewlib ${CFITSIO_LIBRARIES})
+endif()
+
 if (WIN32)
     target_link_libraries(gwenviewlib ${EXPAT_LIBRARIES})
 endif()
