=== part/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+add_definitions(-DTRANSLATION_DOMAIN="gwenview")
+
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}/..
     ${EXIV2_INCLUDE_DIR}
