=== debian/changelog ===
gwenview (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:19 +0000

gwenview (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Update install files
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:12 +0000

gwenview (4:17.08.3-0ubuntu3) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 18:10:34 +0100

gwenview (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Disable broken PlaceTreeModelTest test. KDE Bug: 387824

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Dec 2017 12:56:14 +0000

gwenview (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:48 +0000
