=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                kinit-dev (>= 5.31.0~),
+               libcfitsio-dev,
                libexiv2-dev,
                libjpeg-dev,
                libkf5activities-dev (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 17.04.3~),
+               libkf5kdcraw-dev (>= 17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 17.04.3~),
+               libkf5kipi-dev (>= 17.12.3~),
                liblcms2-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
