=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         kinit, kded5, kio-extras
Restrictions: build-needed, needs-recommends
