=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus, xserver-xephyr,
         kinit, kded5, kio-extras, plasma-workspace
Restrictions: build-needed, needs-recommends
