## gwenview 18.04.0+rebuild

=== debian/changelog ===
gwenview (4:18.04.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Jan 2021 18:00:11 +0800
